<!doctype html>
<html class='no-js'>
<head>
<include file='Common:header' title='面授班级' />
<script src="{pigcms::RES}/wap/common/js/jquery.tmpl.min.js"></script>
<script src="{pigcms::RES}/wap/common/js/pullUpLoad.js"></script><!-- 按需加载文件 -->
<link rel="stylesheet" href="{pigcms::RES}/content/raty/css/jquery.raty.css">
<script type="text/javascript" src="{pigcms::RES}/content/raty/js/jquery.raty.js"></script>
<style type="text/css">
@media only screen and (max-width:320px){
	html{font-size:62.5% !important;}
	body{font-size:1.4rem;}/* 14px */
}

@media only screen and (min-width:321px){
	html{font-size:75% !important;}
	body{font-size:1.33rem;}/* 16px */
}
.am-g .am-g{margin:0;}
.cj-list{padding:0;margin:0;}
.am-list>li>a{padding:0;}
.cj-condition-list li>a{padding:1rem 0;}
.cj-menu,.cj-menu:hover,.cj-menu:focus{color:black;}
.cj-top-active,.cj-top-active:focus{color:#29c3db !important;}
.cj-list li{background-color:#fff;height:4.4rem;line-height:4.4rem;}
#searchCont{display:none;position:absolute;top:4.4rem;left:0;bottom:0;right:0;width:100%;background:rgba(173,173,173,0.7);z-index:1000;}
#cj-arrow{transition:all .3s ease-in;}
#searchResult{display:none;}

.cj-rotate{transform:rotate(180deg);}
.cj-search{margin-right:2rem;}
.cj-search-cont{display:none;}
.cj-textbox{margin-top:-0.2rem;margin-left:5%;width:95%;height:2.5rem;line-height:2.5rem;background-color:#f2f2f2;border-radius:0.3rem;border:0;background-image:url(tpl/Wap/default/common/wap/faceClass/img/search.png);background-repeat:no-repeat;background-size:2rem 2rem;background-position:0.3rem 0.3rem;padding-left:2.6rem;}
.cj-search-header{height:4.4rem;line-height:4.4rem;}
.cj-condition-list{}
.cj-condition-list li{border:0;background-color:#f0f0f0;}
.cj-menu-parent{color:#000;}
.cj-menu-parent:hover{color:#000;}
.cj-menu-active{background-color:#FF9F00;color:#fff;}
.cj-menu-active:hover{color:#fff;}
.cj-margin-left{margin-left:1.5rem;}
.cj-menu-sub-cont{max-height:26.5rem;overflow-y:scroll;background-color:#fff;}
.cj-menu-sub{margin-left:2.5rem;color:#29c3db;}
.cj-menu-sub:hover{color:#29c3db;}
.cj-menu-sub-cont li{background-color:#fff;}

.cj-margin{height:10px;width:100%;}
.cj-hide{display:none;}
.cj-icon{width:3rem;height:3rem;line-height:3rem;color:#fff;margin:2.5rem auto;border-radius:50%;overflow:hidden;background-color:#29c3db;text-align:center;}
.cj-btn{height:2rem;width:5rem;display:inline-block;line-height:2rem;color:#fff;font-size:0.8rem;text-align:center;border-radius:0.2rem;margin:0 0.5rem;}
.cj-btn:hover{color:white;}
.cj-title{font-size:1.2rem;}
.cj-title,.cj-desc,.cj-address{white-space:nowrap;text-overflow:ellipsis;overflow:hidden;line-height:2.5rem;}
.cj-btm,.cj-desc{font-size:1rem;}
.cj-tag{border-radius:1rem;display:inline-block;padding:0 0.5rem;margin:0.5rem;font-size:1.2rem;}
.cj-course-cont{padding-top:1rem;background-color:#f2f2f2;margin-top:0;}
.cj-btm [class*=am-u-]{padding:0;}
.cj-course-cont>li{padding:0.5rem;padding-left:0;background-color:#fff;margin-top:0;}
#hasJoined .cj-icon{margin-top:1.9rem;}
.cj-address,.cj-datetime{font-size:1rem;}
.cj-address>i,.cj-datetime>i{width:1.2rem;text-align:center;}
.cm-grey .am-u-sm-6{color:#b2b2b2 !important;}


.cj-tag{border-radius:1rem;display:inline-block;padding:0 0.5rem;margin:0.5rem;font-size:1.2rem;}
.cj-text{border-radius:0.2rem;height:2.5rem;line-height:2.5rem;width:100%;font-size:1rem;text-align:center;box-shadow:none;}
#hasJoined{display:none;padding-top:1rem;background-color:#f2f2f2;margin-top:0;}
#hasJoined>li{padding:0.5rem;padding-left:0;background-color:#fff;}
</style>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body>
<include file="Public:header" />
<div class='am-container'>
	<ul class='cj-list am-avg-sm-3 am-text-center'>
		<li><a href="javascript:allCourseSearch();" id='allCourse' class='cj-menu cj-top-active'>全部课程<i class='am-icon-angle-down am-margin-left-xs' id='cj-arrow'></i></a></li>
		<li><a href='javascript:showJoined();' id='allJoined' class='cj-menu'>我的场次</a></li>
		<li class='cm-grey' onclick='toggleSearch();'><img src='tpl/Wap/default/common/wap/faceClass/img/search.png' class='cm-search' /></li>
	</ul>
	<div class='cj-search-cont cm-bg-white'>
		<div class='am-g cj-search-header'>
			<div class='am-u-sm-7'><input type='text' class='cj-textbox'/></div>
			<div class='am-u-sm-2 am-text-center'><a href='javascript:toggleSearch();' class='cm-blue'>取消</a></div>
			<div class='am-u-sm-3 am-text-center'><a href='javascript:moreSearch();' class='cm-blue'>更多搜索</a></div>
		</div>
	</div>
	<div id='searchResult'>
		<ul class='am-list'>
		<li>课程1</li>
		<li>课程2</li>
		<li>课程3</li>
		<li>课程4</li>
		</ul>
	</div>
	<div id='searchCont'>
		<ul class="am-list cj-condition-list" id="collapase-nav-1">
		    <li class="am-panel">
		        <a href='javascript:showSubCourse();' class='cj-menu-parent cm-black'><span class='cj-margin-left'>All</span></a>
		    </li>
		    <li class="am-panel">
		        <a data-am-collapse="{parent: '#collapase-nav-1', target: '#nav2'}" class='cj-menu-parent cm-black'><span class='cj-margin-left'>Leadership</span></a>
		        <ul class="am-list am-collapse cj-menu-sub-cont" id="nav2">
		        	<li>
		                <a href="javascript:showSubCourse(0);" class='cj-menu-sub'>All Leadership</a>
		            </li>
		            <li>
		                <a href="javascript:showSubCourse(1);" class='cj-menu-sub'>BPS-Leadership Training</a>
		            </li>
		            <li>
		                <a href="javascript:showSubCourse(2);" class='cj-menu-sub'>Leadership Consultation</a>
	                </li>
		            <li>
		                <a href="javascript:showSubCourse(3);" class='cj-menu-sub'>Management Development</a>
	                </li>
		        </ul>
		    </li>
		    <li class="am-panel">
		        <a data-am-collapse="{parent: '#collapase-nav-1', target: '#nav3'}" class='cj-menu-parent cm-black'><span class='cj-margin-left'>Bussiness Admin</span></a>
		        <ul class="am-list am-collapse cj-menu-sub-cont" id="nav3">
		            <li>
		                <a href="javascript:showSubCourse(1);" class='cj-menu-sub'>All Bussiness Admin</a>
		            </li>
		            <li>
		                <a href="javascript:showSubCourse(2);" class='cj-menu-sub'>Controlling</a>
	                </li>
		            <li>
		                <a href="javascript:showSubCourse(3);" class='cj-menu-sub'>Accounting & Finance</a>
	                </li>
		            <li>
		                <a href="javascript:showSubCourse(4);" class='cj-menu-sub'>ISP</a>
	                </li>
		        </ul>
		    </li>
		</ul>
	</div>
	
	<ul class='am-list cj-course-cont' id='subCourse'>
		<volist id='clist' name='courelist'	>	
		<li class='am-g'>
			<a href="{pigcms::U('detail',array('itemId'=>$clist['item_id'],'wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token']))}" class='cm-black'>
				<div class='am-u-sm-2'><div class='cj-icon'>课</div></div>
				<div class='am-u-sm-10'>
					<div class='cj-title'>{pigcms:$clist['title']}</div>
					<div class='cj-desc cm-grey'>{pigcms:$clist['description']}</div>
					<div class='cj-btm cm-grey am-g'>
						<div class='am-u-sm-6'>{pigcms:$clist['commentSum']} 评论  <span class='am-margin-left-sm'>{pigcms:$clist['scheduledSum']} 剩余场次</span></div>
						<div class='am-u-sm-6 am-text-right'>
                        	<if condition = "$clist.commentSum eq 0">
                        		<a href="javascript:showComment('{pigcms:$clist.item_id}');" class='cj-btn cm-bg-orange cm-white'>去评价</a>
                                <else/>
                                <a href="javascript:viod(0);" class='cj-btn cm-bg-orange cm-white'>已评价</a>
                            </if>
                        </div>
					</div>
				</div>
			</a>
		</li>
		</volist>
	</ul>
	<ul class='am-list' id='hasJoined'>
		<li class='am-g'>
			<a href="{pigcms::U('placeInfo',array('state'=>1,'token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}" class='cm-black'>
				<div class='am-u-sm-2'><div class='cj-icon'>班</div></div>
				<div class='am-u-sm-10'>
					<div class='cj-title'>[CN-MD-SLEM] Situational Leadership® for Experienced Manager-A</div>
					<div class='cj-desc cm-grey'>COURSE 11920</div>
					<div class='cj-datetime '>
						<i class='am-icon-clock-o cm-blue'></i>
						<span class='cm-grey'>25/Jun/2016 00:00 Asia/Shanghai</span>
					</div>
					<div class='cj-address'>
						<i class='am-icon-map-marker cm-blue'></i>
						<span class='cm-grey'>CN, SGH, 上海市长宁区福泉北路333号, 200335 (CN_SGH)</span>
					</div>
				</div>
			</a>
		</li>
		
		
	</ul>
</div>

<script type="text/javascript">
$(function(){
	$(".cj-menu-parent").bind('click',function(){
		$(".cj-menu-parent").removeClass('cj-menu-active');
		$(this).addClass('cj-menu-active');
	});
	
	alertInit();
});

function showJoined(){
	$(".cj-menu").removeClass('cj-top-active');
	$("#allJoined").addClass('cj-top-active');
	$("#cj-arrow").removeClass('cj-rotate');
	$("#searchCont").hide();
	$(".cj-course-cont").slideUp();
	var isHidden=$("#hasJoined").is(':hidden');
	if(isHidden){
		$("#hasJoined").slideDown();
	}
}
function showSubCourse(type){
	allCourseSearch();
	$("#subCourse li").hide();
	if(!type){
		$("#subCourse li").show();
	}else if(type==1){
		$("#subCourse li").eq(1).show();
		$("#subCourse li").eq(2).show();
	}else if(type==2){
		$("#subCourse li").eq(3).show();
	}else if(type==3){
		$("#subCourse li").eq(4).show();
	}else if(type==4){
		$("#subCourse li").eq(0).show();
	}
	$("#hasJoined").slideUp();
	var isHidden=$("#subCourse").is(':hidden');
	if(isHidden){
		$("#subCourse").slideDown();
	}
}
function hideOverlay(){
	$("#searchCont").hide();
}
function toggleSearch(){
	$(".cj-search-cont").toggle();
	$(".cj-list").toggle();
}

function allCourseSearch(){
	$(".cj-menu").removeClass('cj-top-active');
	$("#allCourse").addClass('cj-top-active');
	$("#cj-arrow").toggleClass('cj-rotate');
	$("#searchCont").toggle(200);
}

function alertInit(){
	$(".weui_dialog_hd").html("<div class='cm-alert-title'>请评价</div>");
	var str="<span id='scores'></span><div>";
	str+="<volist id='ptag' name='comtag'><div class='cj-tag cm-bd-grey2'>{pigcms:$ptag.content}</div></volist>";
	str+="</div><input type='text' id='comment' class='cj-text cm-bd-grey' placeholder='有什么想说的，写下来吧！' />";
	$("#dialog_alert").html(str);
	$.fn.raty.defaults.path = '{pigcms::RES}/content/raty/images';
	$('#scores').raty({score:0});
	var state="{pigcms::$_GET['state']}";
	if(state==1){
		$('#scores').raty({readOnly:true,score:4});
	}
	$(".cj-tag").bind('click',function(){
		var c=$("#comment").val();
		var t=$(this).text();
		$("#comment").val(c+t);
	});
}
function showComment(id){
	$('#dialog2').show().on('click','.weui_btn_dialog',function(){
		$('#dialog2').off('click').hide();
		saveComment(id);
	});	
		
}

function saveComment(id){
	var itemid = id;
	var comment_score = $('#scores').raty('score');
	if(comment_score==undefined){
			comment_score = 0;
		}
	var content=$("#comment").val();
	var global_id = {pigcms:$fans.id};
	var reference_id = itemid;
         $.ajax({  
             url: "{pigcms::U('insertcomment',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}",  
             type: 'POST',  
             dataType: 'json',
			 data:{"content":content,"global_id":global_id,"reference_id":reference_id,"comment_score":comment_score}, 
			 success:function(res){
				 if(res.errorCode==0){
					 $(".weui_dialog_hd").html('谢谢评价');
					 alert('您已经提交面授评价了，可到课程信息中查看~');
					 }else{
					 	alert('评论失败！'+res.errorMassage);
					}  
			 },
			 error:function(){
				alert('无法连接到服务器');
			} 
     });  
	
}


</script>
<include file='public:share' />
</body>
</html>